path: /build/build/libmodbus-dev-libs-3.1.4+1.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - luet repo update && luet upgrade -y && luet cleanup
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="-doc" emerge dev-libs/libmodbus -pv -t && \
    USE="-doc" emerge -j ${JOBS} --nodeps dev-libs/libmodbus
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/libmodbus && luet-portage --dir /pkgdir/libmodbus
    dev-libs/libmodbus && eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/*
    || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:423c84f89d8c06b7655d5a147e083eb3fa3f7cd3db081bce2f24667f05295200
  package:
    name: libmodbus
    version: 3.1.4+1
    category: dev-libs
    use_flags:
    - -doc
    requires:
    - name: macaroni-funtoo-race18
      version: '>=0'
      category: seed
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: Modbus library which supports RTU communication over a serial line
      or a TCP link
    uri:
    - https://libmodbus.org/
    license: LGPL-3
    buildtimestamp: 2023-10-25 12:46:46.30581593 +0000 UTC m=+876.782268653
    labels:
      DEPEND: doc? ( app-text/asciidoc app-text/xmlto )
      IUSE: static-libs test doc
      emerge.packages: dev-libs/libmodbus
      kit: geaaru-kit
      original.package.name: dev-libs/libmodbus
      original.package.slot: "0"
      original.package.version: 3.1.4
    treedir: /build/packages
  package_dir: /pkgdir/libmodbus
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: 1c73231206886e64fea03c4e87482da5f6aeccb661aaf65d555cd97d834e578e
compressiontype: zstd
files:
- usr/include/modbus/modbus-rtu.h
- usr/include/modbus/modbus-tcp.h
- usr/include/modbus/modbus-version.h
- usr/include/modbus/modbus.h
- usr/lib64/libmodbus.so
- usr/lib64/libmodbus.so.5
- usr/lib64/libmodbus.so.5.1.0
- usr/lib64/pkgconfig/libmodbus.pc
- usr/share/doc/libmodbus-3.1.4/AUTHORS.bz2
- usr/share/doc/libmodbus-3.1.4/MIGRATION.bz2
- usr/share/doc/libmodbus-3.1.4/NEWS.bz2
- usr/share/doc/libmodbus-3.1.4/README.md.bz2
- usr/share/doc/libmodbus-3.1.4/TODO.bz2
- var/db/pkg/dev-libs/libmodbus-3.1.4/BUILD_TIME
- var/db/pkg/dev-libs/libmodbus-3.1.4/CATEGORY
- var/db/pkg/dev-libs/libmodbus-3.1.4/CBUILD
- var/db/pkg/dev-libs/libmodbus-3.1.4/CFLAGS
- var/db/pkg/dev-libs/libmodbus-3.1.4/CHOST
- var/db/pkg/dev-libs/libmodbus-3.1.4/CONTENTS
- var/db/pkg/dev-libs/libmodbus-3.1.4/COUNTER
- var/db/pkg/dev-libs/libmodbus-3.1.4/CXXFLAGS
- var/db/pkg/dev-libs/libmodbus-3.1.4/DEFINED_PHASES
- var/db/pkg/dev-libs/libmodbus-3.1.4/DESCRIPTION
- var/db/pkg/dev-libs/libmodbus-3.1.4/EAPI
- var/db/pkg/dev-libs/libmodbus-3.1.4/FEATURES
- var/db/pkg/dev-libs/libmodbus-3.1.4/HOMEPAGE
- var/db/pkg/dev-libs/libmodbus-3.1.4/IUSE
- var/db/pkg/dev-libs/libmodbus-3.1.4/IUSE_EFFECTIVE
- var/db/pkg/dev-libs/libmodbus-3.1.4/KEYWORDS
- var/db/pkg/dev-libs/libmodbus-3.1.4/LDFLAGS
- var/db/pkg/dev-libs/libmodbus-3.1.4/LICENSE
- var/db/pkg/dev-libs/libmodbus-3.1.4/NEEDED
- var/db/pkg/dev-libs/libmodbus-3.1.4/PF
- var/db/pkg/dev-libs/libmodbus-3.1.4/PROVIDES
- var/db/pkg/dev-libs/libmodbus-3.1.4/REQUIRES
- var/db/pkg/dev-libs/libmodbus-3.1.4/SIZE
- var/db/pkg/dev-libs/libmodbus-3.1.4/SLOT
- var/db/pkg/dev-libs/libmodbus-3.1.4/USE
- var/db/pkg/dev-libs/libmodbus-3.1.4/environment.bz2
- var/db/pkg/dev-libs/libmodbus-3.1.4/libmodbus-3.1.4.ebuild
- var/db/pkg/dev-libs/libmodbus-3.1.4/repository
package_cacheimage: ""
runtime:
  name: libmodbus
  version: 3.1.4+1
  category: dev-libs
  use_flags:
  - -doc
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: Modbus library which supports RTU communication over a serial line
    or a TCP link
  uri:
  - https://libmodbus.org/
  license: LGPL-3
  labels:
    DEPEND: doc? ( app-text/asciidoc app-text/xmlto )
    IUSE: static-libs test doc
    emerge.packages: dev-libs/libmodbus
    kit: geaaru-kit
    original.package.name: dev-libs/libmodbus
    original.package.slot: "0"
    original.package.version: 3.1.4
